// 本文件用于提取一些通用的业务层面的公共方法
import { Message } from "element-ui";
const bizCommon = {
    /**
     * 业务中的上下架，展览、文物、虚拟展厅、文创、博物馆、用户、角色等
     * @param {Object} row 
     * @param {Promise} request 
     * @param {Function} callback 
     */
    async changeStatus(row, request, callback) {
        const { status } = row;
        let newStatus = status == "0" ? "1" : "0";
        const params = {
            ...row,
            status: newStatus,
        };
        let res = await request(params);
        if (res.code == 0) {
            Message.success("修改成功！");
            callback()
        }
    },
    /**
    * 业务中的批量删除
    * @param {Promise} request 删除的请求
    * @param {Array} ids 删除的id集合
    * @param {Function} callback 回调函数，一般是loaddata
    */
    async multiDelete(request, ids, callback) {
        const params = ids
        const res = await request(params)
        if (res.code == 0) {
            Message.success('删除成功！')
            callback()
        }
    },

}
export default bizCommon